package com.hungraim.ltc.pojo.vo.account;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class AssessAccountsExportResp {



    @Excel(name = "适用机构名称",width = 20)
    private String organName;



    /**
     * 护理机构名称
     */
    @Excel(name = "护理机构名称",width = 20)
    private String srvOrganName;

    /**
     * 结算月份
     */
    @Excel(name = "结算月份",width = 20)
    private String accountsTime;



    /**
     * 总费用
     */
    @Excel(name = "总费用")
    private String assessCost;



    /**
     * 费用开始时间
     */
    @Excel(name = "费用开始时间",width = 20)
    private String assessStartTime;

    /**
     * 费用结束时间
     */
    @Excel(name = "费用结束时间",width = 20)
    private String assessEndTime;



}
